LibreOffice: XAccessibleStateSet Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XAccessibleStateSet Interface Reference

Implement this interface to represent a set of states. More...

`import"XAccessibleStateSet.idl";`

Inheritance diagram for XAccessibleStateSet:

## Public Member Functions
boolean | isEmpty ()
| Checks whether the current state set is empty. More...
boolean | contains ([in] short aState)
| Checks if the given state is a member of the state set of the called object. More...
boolean | containsAll ([in] sequence< short > aStateSet)
| Checks if all of the given states are in the state set of the called object. More...
sequence< short > | getStates ()
| Get all currently set states as a sequence of state ids. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Implement this interface to represent a set of states.

The interface XAccessibleStateSet represents a set of states of an accessible object. It can hold any combination of states defined by the constants collection AccessibleStateType.

Since
  OOo 1.1.2

## Member Function Documentation

## § contains()

boolean contains | ( | [in] short | aState | ) |

Checks if the given state is a member of the state set of the called object.

Parameters

  aState | The state for which to check membership. This has to be one of the constants of AccessibleStateType.

Returns
  Returns `TRUE` if the given state is a member of this object's state set and `FALSE` otherwise.

## § containsAll()

boolean containsAll | ( | [in] sequence< short > | aStateSet | ) |

Checks if all of the given states are in the state set of the called object.

Parameters

  aStateSet | This sequence of states is interpreted as set and every of its members, duplicates are ignored, is checked for membership in this object's state set. Each state has to be one of the constants of AccessibleStateType.

Returns
  Returns `TRUE` if all states of the given state set are members of this object's state set. `FALSE` is returned if at least one of the states in the given state is not a member of this object's state set.

## § getStates()

sequence<short> getStates | ( |  | ) |

Get all currently set states as a sequence of state ids.

The purpose of this function is to reduce the communication between accessibility objects and AT. Without this function an AT-Tool had to call contains() for every state type. Now a single call is sufficient.

Returns
  The returned sequence contains one entry for every currently set state. This entry is the id of that state. The order of the states in the sequence is undefined.

## § isEmpty()

boolean isEmpty | ( |  | ) |

Checks whether the current state set is empty.

Returns
  Returns `TRUE` if there is no state in this state set and `FALSE` if there is at least one set state in it.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleStateSet.idl